Public Class FileWatcherProperties
    Public Property CreatedAt As DateTime
    Public Property ChangedAt As DateTime
    Public ReadOnly Property HasChanged As Boolean
    Public Sub New()
        CreatedAt = DateTime.Now
        ChangedAt = Nothing
        HasChanged = False
    End Sub
End Class
